@use '../../../styles/mixins';
@use '../../../styles/base';

.expense-container {
    display: flex;
    padding: 16px;
    flex-direction: column;

    @media (max-width: base.$mobile-device) {
        padding: 32px;
    }

    .header-container {
        width: 100%;
        display: flex;
        margin-bottom: 16px;
        flex-direction: row;
        justify-content: space-between;

        @media (max-width: base.$mobile-device) {
            margin-bottom: 32px;
        }

        .total-container {
            display: flex;
            margin-bottom: 2px;
            flex-direction: row;
            align-items: flex-end;
            justify-content: flex-end;

            .total-label {
                line-height: 1.1;
                font-weight: 700;
                margin-right: 8px;
                color: base.$font-color;
            }

            .total-value {
                line-height: 1;
                font-size: 1.2em;
                font-weight: 300;
                color: base.$font-color;
            }
        }
    }
}
